1. Fiat Withdrawal
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Fiat Account Request Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
          GET
        • Activate Same Name Withdrawal
          POST
        • Submit Additional Information for Activating Same Name Withdrawal
          POST
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
          POST
        • Submit Additional Information for Fiat Withdrawal Request
          POST
        • Get Fiat Withdrawal Detail
          GET
        • Get Fiat Withdrawal History
          GET
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Fiat Withdrawal

Get Fiat Withdrawal Detail

GET
/v2.0/payment/fiat/withdrawal/detail
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction

Description
To retrieve details of a specified withdrawal request.

Request

Authorization
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v2.0/payment/fiat/withdrawal/detail?fiatWithdrawalId=WD2024120411300001'

Responses

🟢200OK
application/json
Body

Examples
{
    "code": "200",
    "msg": "velit ut culpa qui",
    "data": {
        "fiatWithdrawalId": "98",
        "participantCode": "48",
        "requireSameNamePayout": false,
        "withdrawalType": 1,
        "currency": "veniam exercitation cupidatat",
        "amount": 790.15,
        "fees": 51,
        "swiftChargingCode": 1,
        "estimatedAmountReceivable": 677.19,
        "to": "ea",
        "paymentReference": "ut in",
        "clientReference": "veniam eu",
        "bankInfo": {
            "label": "occaecat laborum eu ut in",
            "bankAccountNumber": "88607207"
        },
        "purposeOfTransaction": "withdrawal",
        "proofFile": "Ut",
        "idorPassportFile": "42",
        "status": 5,
        "statusInfo": "consectetur culpa dolor adipisicing",
        "missingFields": [
            "cupidatat dolore ullamco ipsum",
            "magna et",
            "quis cupidatat ut in"
        ],
        "createdAt": 1804793073579,
        "updatedAt": 1761151742140
    }
}
Modified at 2026-03-25 02:37:45
Previous
Submit Additional Information for Fiat Withdrawal Request
Next
Get Fiat Withdrawal History
Built with